From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-editors/neovim/
Date: Tue, 10 Oct 2023 05:46:12 +0000 (UTC) [thread overview]
Message-ID: <1696916764.54131224ad300b647cd1e9143c819a3d16bad4b0.sam@gentoo> (raw)
commit: 54131224ad300b647cd1e9143c819a3d16bad4b0
Author: Brahmajit Das <brahmajit.xyz <AT> gmail <DOT> com>
AuthorDate: Tue Oct 10 05:21:11 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Oct 10 05:46:04 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54131224
app-editors/neovim: add 0.9.4
Signed-off-by: Brahmajit Das <brahmajit.xyz <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-editors/neovim/Manifest | 1 +
app-editors/neovim/neovim-0.9.4.ebuild | 119 +++++++++++++++++++++++++++++++++
2 files changed, 120 insertions(+)
diff --git a/app-editors/neovim/Manifest b/app-editors/neovim/Manifest
index 7f177f723c55..66bb2c020384 100644
--- a/app-editors/neovim/Manifest
+++ b/app-editors/neovim/Manifest
@@ -1,2 +1,3 @@
DIST neovim-0.9.1.tar.gz 11567358 BLAKE2B 7aa56c672f7d26db7d47df39941487de32008b9e78921d71860281e8319b30dc6cd889a029c83b61814baecac947f39a950245ed7e51c35509b30e9b39046a58 SHA512 339efd3d8c1a73aa3b43e8770d6943aeba9e4ce6a3598c0424e388f80759d50b14aa7c60fd435bf2d17997476e06d28b79e7e98670d02ca9ceec031841e8b9b8
DIST neovim-0.9.2.tar.gz 11580390 BLAKE2B 097b0b245e8f987c7f980df2d170f4d62fc08e107f6166f1df4a78776b0aa8b8dc3c699648ae5fa123e54e7599321f0170f93ccee4d89302f25d1b8bba6161c7 SHA512 f12ae48c82c4a3622e464a23966cb06e9da1a7cd000b4efeb8408bb55e189ffeb4ece99e9488244c16f7de70356303e4dc964afd70ab24d23a5e07c59e902ed9
+DIST neovim-0.9.4.tar.gz 11585425 BLAKE2B f98b9737df537be9a6f9bfba0e48f47f33cacdf5aa5f9fb3b47a693ea9fa5fbe32aa8628403fdb136b625ccad30c8aad1c25abe280384515df603e92d9ed898a SHA512 a9bac18aeecd99dfeab79b367c3f0c46003b95d057edb6fd18ba178d6b6f22434689508d0bfe91b2f771ef0a23a4888815e8c4001abb76f2a60357bab0cd7004
diff --git a/app-editors/neovim/neovim-0.9.4.ebuild b/app-editors/neovim/neovim-0.9.4.ebuild
new file mode 100644
index 000000000000..ec45d50f6dd1
--- /dev/null
+++ b/app-editors/neovim/neovim-0.9.4.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# RelWithDebInfo sets -Og -g
+CMAKE_BUILD_TYPE=Release
+LUA_COMPAT=( lua5-{1..2} luajit )
+inherit cmake lua-single optfeature xdg
+
+DESCRIPTION="Vim-fork focused on extensibility and agility"
+HOMEPAGE="https://neovim.io"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/neovim/neovim.git"
+else
+ SRC_URI="https://github.com/neovim/neovim/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~x64-macos"
+fi
+
+LICENSE="Apache-2.0 vim"
+SLOT="0"
+IUSE="+lto +nvimpager test"
+
+# Upstream say the test library needs LuaJIT
+# https://github.com/neovim/neovim/blob/91109ffda23d0ce61cec245b1f4ffb99e7591b62/CMakeLists.txt#L377
+REQUIRED_USE="${LUA_REQUIRED_USE} test? ( lua_single_target_luajit )"
+# TODO: Get tests running
+RESTRICT="!test? ( test ) test"
+
+# Upstream build scripts invoke the Lua interpreter
+BDEPEND="${LUA_DEPS}
+ >=dev-util/gperf-3.1
+ >=sys-devel/gettext-0.20.1
+ virtual/libiconv
+ virtual/libintl
+ virtual/pkgconfig
+"
+# Check https://github.com/neovim/neovim/blob/master/third-party/CMakeLists.txt for
+# new dependency bounds and so on on bumps (obviously adjust for right branch/tag).
+DEPEND="${LUA_DEPS}
+ >=dev-lua/luv-1.45.0[${LUA_SINGLE_USEDEP}]
+ $(lua_gen_cond_dep '
+ dev-lua/lpeg[${LUA_USEDEP}]
+ dev-lua/mpack[${LUA_USEDEP}]
+ ')
+ $(lua_gen_cond_dep '
+ dev-lua/LuaBitOp[${LUA_USEDEP}]
+ ' lua5-{1,2})
+ >=dev-libs/libuv-1.46.0:=
+ >=dev-libs/libvterm-0.3.3
+ >=dev-libs/msgpack-3.0.0:=
+ >=dev-libs/tree-sitter-0.20.8:=
+ >=dev-libs/libtermkey-0.22
+ >=dev-libs/unibilium-2.0.0:0=
+"
+RDEPEND="
+ ${DEPEND}
+ app-eselect/eselect-vi
+"
+BDEPEND+="
+ test? (
+ $(lua_gen_cond_dep 'dev-lua/busted[${LUA_USEDEP}]')
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.9.0-cmake_lua_version.patch"
+ "${FILESDIR}/${PN}-0.9.1-cmake-darwin.patch"
+ "${FILESDIR}/${PN}-0.9.0-cmake-release-type.patch"
+)
+
+src_prepare() {
+ # Use our system vim dir
+ sed -e "/^# define SYS_VIMRC_FILE/s|\$VIM|${EPREFIX}/etc/vim|" \
+ -i src/nvim/globals.h || die
+
+ # https://forums.gentoo.org/viewtopic-p-8750050.html
+ xdg_environment_reset
+ cmake_src_prepare
+}
+
+src_configure() {
+ # Upstream default to LTO on non-debug builds
+ # Let's expose it as a USE flag because upstream
+ # have preferences for how we should use LTO
+ # if we want it on (not just -flto)
+ # ... but allow turning it off.
+ # TODO: Investigate USE_BUNDLED, doesn't seem to be needed right now
+ local mycmakeargs=(
+ -DENABLE_LTO=$(usex lto)
+ -DPREFER_LUA=$(usex lua_single_target_luajit no "$(lua_get_version)")
+ -DLUA_PRG="${ELUA}"
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ # install a default configuration file
+ insinto /etc/vim
+ doins "${FILESDIR}"/sysinit.vim
+
+ # conditionally install a symlink for nvimpager
+ if use nvimpager; then
+ dosym ../share/nvim/runtime/macros/less.sh /usr/bin/nvimpager
+ fi
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature "clipboard support" x11-misc/xsel x11-misc/xclip gui-apps/wl-clipboard
+ optfeature "Python plugin support" dev-python/pynvim
+ optfeature "Ruby plugin support" dev-ruby/neovim-ruby-client
+ optfeature "remote/nvr support" dev-python/neovim-remote
+}
next reply other threads:[~2023-10-10 5:46 UTC|newest]
Thread overview: 170+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-10-10 5:46 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-05 20:32 [gentoo-commits] repo/gentoo:master commit in: app-editors/neovim/ Matt Turner
2024-09-10 20:57 Matt Turner
2024-09-10 10:25 Arthur Zamarin
2024-09-09 23:51 Sam James
2024-08-23 13:00 Arthur Zamarin
2024-08-22 3:47 Sam James
2024-08-18 2:37 Yixun Lan
2024-08-17 17:14 Mike Gilbert
2024-08-16 10:23 Arthur Zamarin
2024-08-16 7:08 Arthur Zamarin
2024-08-16 5:55 Arthur Zamarin
2024-08-15 23:28 Jakov Smolić
2024-08-04 0:15 Stefan Strogin
2024-08-04 0:15 Stefan Strogin
2024-08-04 0:02 Stefan Strogin
2024-07-27 5:48 Joonas Niilola
2024-07-11 16:30 Eli Schwartz
2024-06-09 2:35 Matt Turner
2024-05-25 8:27 Sam James
2024-05-20 14:38 Matt Turner
2024-05-20 14:38 Matt Turner
2024-02-22 7:17 Vadim Misbakh-Soloviov
2024-02-07 14:37 Joonas Niilola
2024-01-24 13:07 Sam James
2024-01-24 10:58 Sam James
2024-01-24 10:26 Sam James
2024-01-16 6:38 Sam James
2024-01-07 11:38 Michał Górny
2024-01-03 11:29 Sam James
2023-12-01 20:57 Arthur Zamarin
2023-11-22 7:12 Joonas Niilola
2023-11-22 0:25 Sam James
2023-11-21 21:29 Sam James
2023-10-27 3:20 Sam James
2023-10-19 12:17 Sam James
2023-10-19 6:16 Joonas Niilola
2023-10-19 6:16 Joonas Niilola
2023-10-10 5:46 Sam James
2023-09-24 6:03 Sam James
2023-09-24 6:03 Sam James
2023-09-13 2:15 Sam James
2023-09-06 9:55 Sam James
2023-09-06 9:09 Sam James
2023-08-02 13:19 Sam James
2023-07-24 18:34 Arthur Zamarin
2023-05-16 7:49 Sam James
2023-05-16 6:33 Joonas Niilola
2023-05-16 6:33 Joonas Niilola
2023-05-15 21:12 Mike Gilbert
2023-04-13 19:07 Sam James
2023-04-13 6:31 Sam James
2023-04-12 8:01 Sam James
2023-04-10 2:54 Sam James
2023-04-10 2:54 Sam James
2023-04-10 2:50 Sam James
2023-04-08 13:42 Luca Barbato
2023-04-05 7:08 Matthew Smith
2023-03-04 7:05 Joonas Niilola
2023-03-04 7:04 Joonas Niilola
2023-03-04 7:04 Joonas Niilola
2023-02-05 10:35 Sam James
2023-02-05 10:35 Sam James
2023-01-28 19:10 Arthur Zamarin
2023-01-26 17:52 Arthur Zamarin
2023-01-26 8:06 Sam James
2023-01-05 5:21 Sam James
2023-01-04 5:50 Sam James
2023-01-04 5:50 Sam James
2022-12-02 12:01 Arthur Zamarin
2022-11-23 1:41 Sam James
2022-11-23 1:41 Sam James
2022-11-23 1:41 Sam James
2022-11-08 4:54 Jakov Smolić
2022-11-07 17:27 Arthur Zamarin
2022-11-02 20:04 Sam James
2022-10-01 1:29 Sam James
2022-07-16 8:59 Agostino Sarubbo
2022-07-16 8:56 Agostino Sarubbo
2022-07-15 7:40 Sam James
2022-06-28 18:18 Matt Turner
2022-06-02 12:25 Jakov Smolić
2022-06-02 12:25 Jakov Smolić
2022-04-18 19:34 Sam James
2022-04-18 19:28 Sam James
2022-04-18 19:28 Sam James
2022-04-18 19:28 Sam James
2022-03-31 18:45 Jakov Smolić
2022-03-31 18:45 Jakov Smolić
2022-02-26 3:44 Sam James
2022-01-02 9:25 Sam James
2021-12-22 5:36 Sam James
2021-12-22 5:32 Sam James
2021-12-01 12:18 Sam James
2021-12-01 12:18 Sam James
2021-10-11 13:47 Yixun Lan
2021-09-30 0:45 Sam James
2021-08-18 14:28 Sam James
2021-07-05 4:28 Sam James
2021-07-05 4:26 Sam James
2021-07-05 4:26 Sam James
2021-07-05 4:26 Sam James
2021-05-31 11:40 Sam James
2021-03-14 18:35 Aaron Bauman
2021-01-25 17:38 Marek Szuba
2020-12-15 10:37 Sam James
2020-12-10 0:55 Marek Szuba
2020-12-06 22:46 Patrice Clement
2020-12-03 17:37 Thomas Deutschmann
2020-09-30 1:50 Sam James
2020-09-30 0:03 Sam James
2020-02-05 8:53 Tim Harder
2020-02-05 8:53 Tim Harder
2019-12-29 9:24 Mikle Kolyada
2019-11-28 19:40 Patrick McLean
2019-10-24 2:50 Joonas Niilola
2019-10-23 5:10 Joonas Niilola
2019-09-29 6:49 Michał Górny
2019-09-26 17:34 Michał Górny
2019-09-26 17:34 Michał Górny
2019-09-26 17:34 Michał Górny
2019-09-20 8:13 Michał Górny
2019-09-20 8:13 Michał Górny
2019-09-20 8:13 Michał Górny
2019-06-16 3:51 Tim Harder
2019-06-13 2:25 Tim Harder
2019-04-20 19:01 Mikle Kolyada
2019-03-29 9:19 Patrice Clement
2019-03-29 9:19 Patrice Clement
2019-03-27 23:56 Patrice Clement
2019-03-16 12:44 Ole Reifschneider
2019-01-13 10:40 Ole Reifschneider
2019-01-09 21:30 Ole Reifschneider
2018-12-28 21:06 Tim Harder
2018-12-12 19:28 Ole Reifschneider
2018-09-10 13:23 Patrice Clement
2018-08-27 19:40 Patrice Clement
2018-06-11 20:50 Ole Reifschneider
2018-02-26 21:56 Patrice Clement
2018-01-07 21:52 Patrice Clement
2018-01-07 16:37 Patrice Clement
2018-01-07 16:37 Patrice Clement
2018-01-05 17:43 Patrice Clement
2018-01-05 13:30 Patrice Clement
2018-01-05 11:18 Patrice Clement
2018-01-05 11:18 Patrice Clement
2018-01-05 11:18 Patrice Clement
2017-08-23 16:07 Michał Górny
2017-05-02 18:44 Ole Reifschneider
2017-03-16 10:27 Michael Palimaka
2017-02-12 20:28 Ole Reifschneider
2016-11-28 19:04 Ole Reifschneider
2016-11-27 21:56 Ole Reifschneider
2016-11-27 21:56 Ole Reifschneider
2016-11-01 22:25 Ole Reifschneider
2016-08-27 21:52 Ole Reifschneider
2016-08-22 20:42 Ole Reifschneider
2016-06-13 20:20 Ole Reifschneider
2016-04-29 5:56 Tim Harder
2016-04-08 9:26 Ole Reifschneider
2016-02-17 7:03 Ole Reifschneider
2015-12-07 19:14 Ole Reifschneider
2015-12-06 21:57 Ole Reifschneider
2015-11-01 22:48 Ole Reifschneider
2015-11-01 22:39 Ole Reifschneider
2015-11-01 22:10 Ole Reifschneider
2015-10-25 19:52 Ole Reifschneider
2015-10-23 10:31 Ole Reifschneider
2015-08-14 9:37 Ben de Groot
2015-08-14 9:37 Ben de Groot
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1696916764.54131224ad300b647cd1e9143c819a3d16bad4b0.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox